(set-logic UF)
(assert (forall ((?x0 Bool)) (=> (not (not ?x0)) ?x0)))
(assert (forall ((?x0 Bool)) (forall ((?x1 Bool)) (=> ?x0 (=> ?x1 (and ?x0 ?x1))))))
(assert (forall ((?x0 Bool)) (forall ((?x1 Bool)) (forall ((?x2 Bool)) (=> ?x0 (=> ?x1 (=> ?x2 (and (and ?x0 ?x1) ?x2))))))))
(declare-sort i 0)
(declare-sort A_i_Bool 0)
(declare-fun ap_A_i_Bool (A_i_Bool i) Bool)
(declare-sort A_i_A_i_Bool 0)
(declare-fun ap_A_i_A_i_Bool (A_i_A_i_Bool i) A_i_Bool)
(declare-fun In () A_i_A_i_Bool)
(declare-fun Subq () A_i_A_i_Bool)
(assert (forall ((x0 i)) (forall ((x1 i)) (= (ap_A_i_Bool (ap_A_i_A_i_Bool Subq x0) x1) (forall ((?x2 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x2) x0) (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x2) x1)))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x0) ?x1) (not (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x1) ?x0))))))
(declare-fun Empty () i)
(declare-sort A_A_i_Bool_i 0)
(declare-fun ap_A_A_i_Bool_i (A_A_i_Bool_i A_i_Bool) i)
(declare-sort A_i_A_A_i_Bool_i 0)
(declare-fun ap_A_i_A_A_i_Bool_i (A_i_A_A_i_Bool_i i) A_A_i_Bool_i)
(declare-fun Sep () A_i_A_A_i_Bool_i)
(assert (forall ((?x0 i)) (forall ((?x1 A_i_Bool)) (forall ((?x2 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x2) ?x0) (=> (ap_A_i_Bool ?x1 ?x2) (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x2) (ap_A_A_i_Bool_i (ap_A_i_A_A_i_Bool_i Sep ?x0) ?x1))))))))
(assert (forall ((?x0 i)) (forall ((?x1 A_i_Bool)) (forall ((?x2 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x2) (ap_A_A_i_Bool_i (ap_A_i_A_A_i_Bool_i Sep ?x0) ?x1)) (and (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x2) ?x0) (ap_A_i_Bool ?x1 ?x2)))))))
(declare-sort A_i_i 0)
(declare-fun ap_A_i_i (A_i_i i) i)
(declare-sort A_i_A_i_i 0)
(declare-fun ap_A_i_A_i_i (A_i_A_i_i i) A_i_i)
(declare-fun binunion () A_i_A_i_i)
(assert (forall ((?x0 i)) (forall ((?x1 i)) (forall ((?x2 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x2) (ap_A_i_i (ap_A_i_A_i_i binunion ?x0) ?x1)) (or (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x2) ?x0) (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x2) ?x1)))))))
(declare-sort A_A_i_i_i 0)
(declare-fun ap_A_A_i_i_i (A_A_i_i_i A_i_i) i)
(declare-sort A_i_A_A_i_i_i 0)
(declare-fun ap_A_i_A_A_i_i_i (A_i_A_A_i_i_i i) A_A_i_i_i)
(declare-fun famunion () A_i_A_A_i_i_i)
(assert (forall ((?x0 i)) (forall ((?x1 A_i_i)) (forall ((?x2 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x2) (ap_A_A_i_i_i (ap_A_i_A_A_i_i_i famunion ?x0) ?x1)) (forall ((?x3 Bool)) (=> (forall ((?x4 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x4) ?x0) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x2) (ap_A_i_i ?x1 ?x4)) ?x3))) ?x3)))))))
(declare-fun ordsucc () A_i_i)
(assert (forall ((?x0 i)) (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x0) (ap_A_i_i ordsucc ?x0))))
(declare-fun TransSet () A_i_Bool)
(assert (forall ((x0 i)) (= (ap_A_i_Bool TransSet x0) (forall ((?x1 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x1) x0) (ap_A_i_Bool (ap_A_i_A_i_Bool Subq ?x1) x0))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (=> (ap_A_i_Bool TransSet ?x1) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x0) (ap_A_i_i ordsucc ?x1)) (ap_A_i_Bool (ap_A_i_A_i_Bool Subq ?x0) ?x1))))))
(declare-fun ordinal () A_i_Bool)
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool ordinal ?x0) (ap_A_i_Bool TransSet ?x0))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool ordinal ?x0) (ap_A_i_Bool ordinal (ap_A_i_i ordsucc ?x0)))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (=> (ap_A_i_Bool ordinal ?x0) (=> (ap_A_i_Bool ordinal ?x1) (or (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x0) ?x1) (ap_A_i_Bool (ap_A_i_A_i_Bool Subq ?x1) ?x0)))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (=> (ap_A_i_Bool ordinal ?x0) (=> (ap_A_i_Bool ordinal ?x1) (ap_A_i_Bool ordinal (ap_A_i_i (ap_A_i_A_i_i binunion ?x0) ?x1)))))))
(assert (forall ((?x0 i)) (forall ((?x1 A_i_i)) (=> (forall ((?x2 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x2) ?x0) (ap_A_i_Bool ordinal (ap_A_i_i ?x1 ?x2)))) (ap_A_i_Bool ordinal (ap_A_A_i_i_i (ap_A_i_A_A_i_i_i famunion ?x0) ?x1))))))
(declare-fun nat_p () A_i_Bool)
(assert (ap_A_i_Bool nat_p Empty))
(assert (ap_A_i_Bool nat_p (ap_A_i_i ordsucc Empty)))
(assert (ap_A_i_Bool nat_p (ap_A_i_i ordsucc (ap_A_i_i ordsucc Empty))))
(declare-fun omega () i)
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x0) omega) (ap_A_i_Bool nat_p ?x0))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool nat_p ?x0) (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x0) omega))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x0) omega) (ap_A_i_Bool (ap_A_i_A_i_Bool In (ap_A_i_i ordsucc ?x0)) omega))))
(assert (ap_A_i_Bool ordinal omega))
(assert (ap_A_i_Bool ordinal (ap_A_i_i ordsucc omega)))
(declare-fun SNo () A_i_Bool)
(assert (ap_A_i_Bool SNo Empty))
(assert (ap_A_i_Bool SNo (ap_A_i_i ordsucc Empty)))
(assert (ap_A_i_Bool SNo (ap_A_i_i ordsucc (ap_A_i_i ordsucc Empty))))
(assert (ap_A_i_Bool SNo omega))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool nat_p ?x0) (ap_A_i_Bool SNo ?x0))))
(declare-fun SNoLev () A_i_i)
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool SNo ?x0) (ap_A_i_Bool ordinal (ap_A_i_i SNoLev ?x0)))))
(declare-fun SNo_ () A_i_A_i_Bool)
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool SNo ?x0) (ap_A_i_Bool (ap_A_i_A_i_Bool SNo_ (ap_A_i_i SNoLev ?x0)) ?x0))))
(declare-sort A_i_A_i_A_i_Bool 0)
(declare-fun ap_A_i_A_i_A_i_Bool (A_i_A_i_A_i_Bool i) A_i_A_i_Bool)
(declare-fun SNoEq_ () A_i_A_i_A_i_Bool)
(declare-fun SNoLt () A_i_A_i_Bool)
(assert (forall ((?x0 i)) (not (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x0) ?x0))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (forall ((?x2 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool SNo ?x2) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x0) ?x1) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x1) ?x2) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x0) ?x2))))))))))
(assert (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt Empty) (ap_A_i_i ordsucc Empty)))
(assert (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt Empty) (ap_A_i_i ordsucc (ap_A_i_i ordsucc Empty))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (forall ((?x2 Bool)) (=> (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x0) ?x1) ?x2) (=> (=> (= ?x0 ?x1) ?x2) (=> (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x1) ?x0) ?x2) ?x2)))))))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool ordinal ?x0) (forall ((?x1 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x1) ?x0) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x1) ?x0))))))
(declare-fun SNoLe () A_i_A_i_Bool)
(assert (forall ((?x0 i)) (forall ((?x1 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x0) ?x1) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLe ?x0) ?x1)))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (or (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x0) ?x1) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLe ?x1) ?x0)))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (forall ((?x2 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool SNo ?x2) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x0) ?x1) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLe ?x1) ?x2) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x0) ?x2))))))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (forall ((?x2 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool SNo ?x2) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLe ?x0) ?x1) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x1) ?x2) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x0) ?x2))))))))))
(declare-fun SNoCutP () A_i_A_i_Bool)
(assert (forall ((x0 i)) (forall ((x1 i)) (= (ap_A_i_Bool (ap_A_i_A_i_Bool SNoCutP x0) x1) (and (and (forall ((?x2 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x2) x0) (ap_A_i_Bool SNo ?x2))) (forall ((?x2 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x2) x1) (ap_A_i_Bool SNo ?x2)))) (forall ((?x2 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x2) x0) (forall ((?x3 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x3) x1) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x2) ?x3))))))))))
(declare-fun SNoCut () A_i_A_i_i)
(declare-fun id_i () A_i_i)
(declare-fun k_i () A_i_A_i_i)
(declare-sort A_A_i_i_A_i_i 0)
(declare-fun ap_A_A_i_i_A_i_i (A_A_i_i_A_i_i A_i_i) A_i_i)
(declare-sort A_A_i_i_A_A_i_i_A_i_i 0)
(declare-fun ap_A_A_i_i_A_A_i_i_A_i_i (A_A_i_i_A_A_i_i_A_i_i A_i_i) A_A_i_i_A_i_i)
(declare-fun comp_ii () A_A_i_i_A_A_i_i_A_i_i)
(declare-sort A_A_i_A_i_i_A_A_i_i_A_A_i_i_A_i_i 0)
(declare-fun ap_A_A_i_A_i_i_A_A_i_i_A_A_i_i_A_i_i (A_A_i_A_i_i_A_A_i_i_A_A_i_i_A_i_i A_i_A_i_i) A_A_i_i_A_A_i_i_A_i_i)
(declare-fun comb_iii () A_A_i_A_i_i_A_A_i_i_A_A_i_i_A_i_i)
(declare-sort A_A_i_i_A_i_Bool 0)
(declare-fun ap_A_A_i_i_A_i_Bool (A_A_i_i_A_i_Bool A_i_i) A_i_Bool)
(declare-sort A_A_i_i_A_A_i_i_A_i_Bool 0)
(declare-fun ap_A_A_i_i_A_A_i_i_A_i_Bool (A_A_i_i_A_A_i_i_A_i_Bool A_i_i) A_A_i_i_A_i_Bool)
(declare-sort A_A_i_A_i_Bool_A_A_i_i_A_A_i_i_A_i_Bool 0)
(declare-fun ap_A_A_i_A_i_Bool_A_A_i_i_A_A_i_i_A_i_Bool (A_A_i_A_i_Bool_A_A_i_i_A_A_i_i_A_i_Bool A_i_A_i_Bool) A_A_i_i_A_A_i_i_A_i_Bool)
(declare-fun comb_iio () A_A_i_A_i_Bool_A_A_i_i_A_A_i_i_A_i_Bool)
(assert (forall ((?x0 i)) (= (ap_A_i_i id_i ?x0) ?x0)))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (= (ap_A_i_i (ap_A_i_A_i_i k_i ?x0) ?x1) ?x0))))
(assert (forall ((?x0 A_i_i)) (forall ((?x1 A_i_i)) (forall ((?x2 i)) (= (ap_A_i_i (ap_A_A_i_i_A_i_i (ap_A_A_i_i_A_A_i_i_A_i_i comp_ii ?x0) ?x1) ?x2) (ap_A_i_i ?x0 (ap_A_i_i ?x1 ?x2)))))))
(assert (forall ((?x0 A_i_A_i_i)) (forall ((?x1 A_i_i)) (forall ((?x2 A_i_i)) (forall ((?x3 i)) (= (ap_A_i_i (ap_A_A_i_i_A_i_i (ap_A_A_i_i_A_A_i_i_A_i_i (ap_A_A_i_A_i_i_A_A_i_i_A_A_i_i_A_i_i comb_iii ?x0) ?x1) ?x2) ?x3) (ap_A_i_i (ap_A_i_A_i_i ?x0 (ap_A_i_i ?x1 ?x3)) (ap_A_i_i ?x2 ?x3))))))))
(assert (forall ((?x0 A_i_A_i_Bool)) (forall ((?x1 A_i_i)) (forall ((?x2 A_i_i)) (forall ((?x3 i)) (= (ap_A_i_Bool (ap_A_A_i_i_A_i_Bool (ap_A_A_i_i_A_A_i_i_A_i_Bool (ap_A_A_i_A_i_Bool_A_A_i_i_A_A_i_i_A_i_Bool comb_iio ?x0) ?x1) ?x2) ?x3) (ap_A_i_Bool (ap_A_i_A_i_Bool ?x0 (ap_A_i_i ?x1 ?x3)) (ap_A_i_i ?x2 ?x3))))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoCutP ?x0) ?x1) (forall ((?x2 Bool)) (=> (=> (ap_A_i_Bool SNo (ap_A_i_i (ap_A_i_A_i_i SNoCut ?x0) ?x1)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In (ap_A_i_i SNoLev (ap_A_i_i (ap_A_i_A_i_i SNoCut ?x0) ?x1))) (ap_A_i_i ordsucc (ap_A_i_i (ap_A_i_A_i_i binunion (ap_A_A_i_i_i (ap_A_i_A_A_i_i_i famunion ?x0) (ap_A_A_i_i_A_i_i (ap_A_A_i_i_A_A_i_i_A_i_i comp_ii ordsucc) SNoLev))) (ap_A_A_i_i_i (ap_A_i_A_A_i_i_i famunion ?x1) (ap_A_A_i_i_A_i_i (ap_A_A_i_i_A_A_i_i_A_i_i comp_ii ordsucc) SNoLev))))) (=> (forall ((?x3 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x3) ?x0) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x3) (ap_A_i_i (ap_A_i_A_i_i SNoCut ?x0) ?x1)))) (=> (forall ((?x3 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x3) ?x1) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt (ap_A_i_i (ap_A_i_A_i_i SNoCut ?x0) ?x1)) ?x3))) (=> (forall ((?x3 i)) (=> (ap_A_i_Bool SNo ?x3) (=> (forall ((?x4 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x4) ?x0) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x4) ?x3))) (=> (forall ((?x4 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x4) ?x1) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x3) ?x4))) (and (ap_A_i_Bool (ap_A_i_A_i_Bool Subq (ap_A_i_i SNoLev (ap_A_i_i (ap_A_i_A_i_i SNoCut ?x0) ?x1))) (ap_A_i_i SNoLev ?x3)) (ap_A_i_Bool (ap_A_i_A_i_Bool (ap_A_i_A_i_A_i_Bool SNoEq_ (ap_A_i_i SNoLev (ap_A_i_i (ap_A_i_A_i_i SNoCut ?x0) ?x1))) (ap_A_i_i (ap_A_i_A_i_i SNoCut ?x0) ?x1)) ?x3)))))) ?x2))))) ?x2))))))
(declare-fun SNoS_ () A_i_i)
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool ordinal ?x0) (forall ((?x1 i)) (forall ((?x2 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x2) ?x0) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNo_ ?x2) ?x1) (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x1) (ap_A_i_i SNoS_ ?x0)))))))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool ordinal ?x0) (forall ((?x1 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x1) (ap_A_i_i SNoS_ ?x0)) (forall ((?x2 Bool)) (=> (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In (ap_A_i_i SNoLev ?x1)) ?x0) (=> (ap_A_i_Bool ordinal (ap_A_i_i SNoLev ?x1)) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNo_ (ap_A_i_i SNoLev ?x1)) ?x1) ?x2)))) ?x2)))))))
(assert (ap_A_i_Bool (ap_A_i_A_i_Bool Subq omega) (ap_A_i_i SNoS_ omega)))
(declare-fun add_SNo () A_i_A_i_i)
(assert (forall ((?x0 i)) (forall ((?x1 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (ap_A_i_Bool SNo (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x0) ?x1)))))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x0) (ap_A_i_i SNoS_ omega)) (forall ((?x1 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x1) (ap_A_i_i SNoS_ omega)) (ap_A_i_Bool (ap_A_i_A_i_Bool In (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x0) ?x1)) (ap_A_i_i SNoS_ omega)))))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool SNo ?x0) (= (ap_A_i_i (ap_A_i_A_i_i add_SNo Empty) ?x0) ?x0))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool SNo ?x0) (= (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x0) Empty) ?x0))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (forall ((?x2 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool SNo ?x2) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLe ?x0) ?x2) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLe (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x0) ?x1)) (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x2) ?x1))))))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (forall ((?x2 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool SNo ?x2) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x1) ?x2) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x0) ?x1)) (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x0) ?x2))))))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (forall ((?x2 i)) (forall ((?x3 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool SNo ?x2) (=> (ap_A_i_Bool SNo ?x3) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x0) ?x2) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x1) ?x3) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x0) ?x1)) (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x2) ?x3)))))))))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (= (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x0) ?x1) (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x1) ?x0)))))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x0) omega) (= (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x0) (ap_A_i_i ordsucc Empty)) (ap_A_i_i ordsucc ?x0)))))
(declare-fun minus_SNo () A_i_i)
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool SNo ?x0) (ap_A_i_Bool SNo (ap_A_i_i minus_SNo ?x0)))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x0) (ap_A_i_i SNoS_ omega)) (ap_A_i_Bool (ap_A_i_A_i_Bool In (ap_A_i_i minus_SNo ?x0)) (ap_A_i_i SNoS_ omega)))))
(assert (= (ap_A_i_i minus_SNo Empty) Empty))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (forall ((?x2 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool SNo ?x2) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x0) (ap_A_i_i minus_SNo ?x1))) ?x2) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x0) (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x2) ?x1))))))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (forall ((?x2 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool SNo ?x2) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x0) (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x2) ?x1)) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x0) (ap_A_i_i minus_SNo ?x1))) ?x2)))))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (forall ((?x2 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool SNo ?x2) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLe ?x2) (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x0) (ap_A_i_i minus_SNo ?x1))) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLe (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x2) ?x1)) ?x0)))))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (forall ((?x2 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool SNo ?x2) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLe (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x2) ?x1)) ?x0) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLe ?x2) (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x0) (ap_A_i_i minus_SNo ?x1)))))))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt (ap_A_i_i minus_SNo ?x0)) ?x1) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt (ap_A_i_i minus_SNo ?x1)) ?x0)))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x0) (ap_A_i_i minus_SNo ?x1)) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x1) (ap_A_i_i minus_SNo ?x0))))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x0) ?x1) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt (ap_A_i_i minus_SNo ?x1)) (ap_A_i_i minus_SNo ?x0))))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x0) ?x1) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt Empty) (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x1) (ap_A_i_i minus_SNo ?x0)))))))))
(declare-fun mul_SNo () A_i_A_i_i)
(assert (forall ((?x0 i)) (forall ((?x1 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (ap_A_i_Bool SNo (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x0) ?x1)))))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool SNo ?x0) (= (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x0) Empty) Empty))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool SNo ?x0) (= (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x0) (ap_A_i_i ordsucc Empty)) ?x0))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (forall ((?x2 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool SNo ?x2) (= (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x0) (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x1) ?x2)) (ap_A_i_i (ap_A_i_A_i_i mul_SNo (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x0) ?x1)) ?x2)))))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (= (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x0) ?x1) (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x1) ?x0)))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (forall ((?x2 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool SNo ?x2) (= (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x0) (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x1) ?x2)) (ap_A_i_i (ap_A_i_A_i_i add_SNo (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x0) ?x1)) (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x0) ?x2))))))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (= (ap_A_i_i (ap_A_i_A_i_i mul_SNo (ap_A_i_i minus_SNo ?x0)) ?x1) (ap_A_i_i minus_SNo (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x0) ?x1))))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (= (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x0) (ap_A_i_i minus_SNo ?x1)) (ap_A_i_i minus_SNo (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x0) ?x1))))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt Empty) ?x0) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt Empty) ?x1) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt Empty) (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x0) ?x1)))))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (forall ((?x2 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt Empty) ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool SNo ?x2) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x1) ?x2) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x0) ?x1)) (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x0) ?x2)))))))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (forall ((?x2 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLe Empty) ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool SNo ?x2) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLe ?x1) ?x2) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLe (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x0) ?x1)) (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x0) ?x2)))))))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (forall ((?x2 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool SNo ?x2) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLe Empty) ?x2) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLe ?x0) ?x1) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLe (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x0) ?x2)) (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x1) ?x2)))))))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x0) (ap_A_i_i ordsucc Empty)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt Empty) ?x1) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x0) ?x1)) ?x1))))))))
(declare-fun abs_SNo () A_i_i)
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool SNo ?x0) (ap_A_i_Bool SNo (ap_A_i_i abs_SNo ?x0)))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt Empty) ?x0) (= (ap_A_i_i abs_SNo ?x0) ?x0))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool SNo ?x0) (= (ap_A_i_i abs_SNo (ap_A_i_i minus_SNo ?x0)) (ap_A_i_i abs_SNo ?x0)))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (= (ap_A_i_i abs_SNo (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x0) (ap_A_i_i minus_SNo ?x1))) (ap_A_i_i abs_SNo (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x1) (ap_A_i_i minus_SNo ?x0)))))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (forall ((?x2 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool SNo ?x2) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLe (ap_A_i_i abs_SNo (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x0) (ap_A_i_i minus_SNo ?x2)))) (ap_A_i_i (ap_A_i_A_i_i add_SNo (ap_A_i_i abs_SNo (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x0) (ap_A_i_i minus_SNo ?x1)))) (ap_A_i_i abs_SNo (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x1) (ap_A_i_i minus_SNo ?x2))))))))))))
(assert (forall ((?x0 i)) (forall ((?x1 i)) (forall ((?x2 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool SNo ?x1) (=> (ap_A_i_Bool SNo ?x2) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLe ?x0) ?x1) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x1) (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x0) ?x2)) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt (ap_A_i_i abs_SNo (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x1) (ap_A_i_i minus_SNo ?x0)))) ?x2))))))))))
(declare-fun exp_SNo_nat () A_i_A_i_i)
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool nat_p ?x0) (forall ((?x1 i)) (=> (ap_A_i_Bool nat_p ?x1) (ap_A_i_Bool nat_p (ap_A_i_i (ap_A_i_A_i_i exp_SNo_nat ?x0) ?x1)))))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt Empty) ?x0) (forall ((?x1 i)) (=> (ap_A_i_Bool nat_p ?x1) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt Empty) (ap_A_i_i (ap_A_i_A_i_i exp_SNo_nat ?x0) ?x1))))))))
(declare-fun eps_ () A_i_i)
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x0) omega) (ap_A_i_Bool SNo (ap_A_i_i eps_ ?x0)))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x0) omega) (ap_A_i_Bool (ap_A_i_A_i_Bool In (ap_A_i_i eps_ ?x0)) (ap_A_i_i SNoS_ omega)))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x0) omega) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt Empty) (ap_A_i_i eps_ ?x0)))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool nat_p ?x0) (= (ap_A_i_i (ap_A_i_A_i_i add_SNo (ap_A_i_i eps_ (ap_A_i_i ordsucc ?x0))) (ap_A_i_i eps_ (ap_A_i_i ordsucc ?x0))) (ap_A_i_i eps_ ?x0)))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool nat_p ?x0) (= (ap_A_i_i (ap_A_i_A_i_i mul_SNo (ap_A_i_i eps_ ?x0)) (ap_A_i_i (ap_A_i_A_i_i exp_SNo_nat (ap_A_i_i ordsucc (ap_A_i_i ordsucc Empty))) ?x0)) (ap_A_i_i ordsucc Empty)))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x0) (ap_A_i_i SNoS_ (ap_A_i_i ordsucc omega))) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt Empty) ?x0) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x0) omega) (exists ((x1 i)) (and (ap_A_i_Bool (ap_A_i_A_i_Bool In x1) omega) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt (ap_A_i_i (ap_A_i_A_i_i mul_SNo (ap_A_i_i eps_ x1)) ?x0)) (ap_A_i_i ordsucc Empty)))))))))
(declare-fun real () i)
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x0) (ap_A_i_i SNoS_ (ap_A_i_i ordsucc omega))) (=> (not (= ?x0 omega)) (=> (not (= ?x0 (ap_A_i_i minus_SNo omega))) (=> (forall ((?x1 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x1) (ap_A_i_i SNoS_ omega)) (=> (forall ((?x2 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x2) omega) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt (ap_A_i_i abs_SNo (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x1) (ap_A_i_i minus_SNo ?x0)))) (ap_A_i_i eps_ ?x2)))) (= ?x1 ?x0)))) (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x0) real)))))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x0) real) (forall ((?x1 Bool)) (=> (=> (ap_A_i_Bool SNo ?x0) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In (ap_A_i_i SNoLev ?x0)) (ap_A_i_i ordsucc omega)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x0) (ap_A_i_i SNoS_ (ap_A_i_i ordsucc omega))) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt (ap_A_i_i minus_SNo omega)) ?x0) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x0) omega) (=> (forall ((?x2 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x2) (ap_A_i_i SNoS_ omega)) (=> (forall ((?x3 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x3) omega) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt (ap_A_i_i abs_SNo (ap_A_i_i (ap_A_i_A_i_i add_SNo ?x2) (ap_A_i_i minus_SNo ?x0)))) (ap_A_i_i eps_ ?x3)))) (= ?x2 ?x0)))) (=> (forall ((?x2 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x2) omega) (exists ((x3 i)) (and (ap_A_i_Bool (ap_A_i_A_i_Bool In x3) (ap_A_i_i SNoS_ omega)) (and (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt x3) ?x0) (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt ?x0) (ap_A_i_i (ap_A_i_A_i_i add_SNo x3) (ap_A_i_i eps_ ?x2)))))))) ?x1))))))) ?x1)))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x0) real) (ap_A_i_Bool SNo ?x0))))
(assert (ap_A_i_Bool (ap_A_i_A_i_Bool Subq (ap_A_i_i SNoS_ omega)) real))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x0) real) (ap_A_i_Bool (ap_A_i_A_i_Bool In (ap_A_i_i minus_SNo ?x0)) real))))
(assert (forall ((?x0 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x0) real) (forall ((?x1 i)) (=> (ap_A_i_Bool (ap_A_i_A_i_Bool In ?x1) real) (ap_A_i_Bool (ap_A_i_A_i_Bool In (ap_A_i_i (ap_A_i_A_i_i mul_SNo ?x0) ?x1)) real))))))
(declare-sort A_Bool_Bool 0)
(declare-fun ap_A_Bool_Bool (A_Bool_Bool Bool) Bool)
(declare-sort A_Bool_A_Bool_Bool 0)
(declare-fun ap_A_Bool_A_Bool_Bool (A_Bool_A_Bool_Bool Bool) A_Bool_Bool)
(declare-fun c0 () i)
(declare-fun c1 () i)
(assert (forall ((?x2 i)) (= (ap_A_i_i (ap_A_i_A_i_i k_i c0) ?x2) c0)))
(assert (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt (ap_A_i_i ordsucc Empty)) (ap_A_i_i (ap_A_i_A_i_i mul_SNo c0) c1)))
(assert (not (ap_A_i_Bool (ap_A_i_A_i_Bool SNoLt (ap_A_i_i ordsucc Empty)) (ap_A_i_i (ap_A_i_A_i_i mul_SNo (ap_A_i_i (ap_A_i_A_i_i k_i c0) c1)) (ap_A_i_i id_i c1)))))
(check-sat)
